import { SpaceGraphCustomAttributeJson } from '@archilogic/space-graph-core';
type ValueRange = {
    minValue: number;
    maxValue: number;
} | null;
export declare const colorMap: {
    sanfran: string;
    dodger: string;
    flamingo: string;
    darkblue: string;
    error: string;
    oslo: string;
    navy: string;
    mediumblue: string;
    newyork: string;
    stone: string;
    warsaw: string;
    gray: string;
    athens: string;
    whisper: string;
    zurich: string;
    blueribbon: string;
    warning: string;
    white: string;
    orange: string;
    purple: string;
    fandango: string;
    aqua: string;
    palered: string;
    palegreen: string;
};
export declare const hexColors: string[];
export declare function generateGradientSteps(color: string, steps?: number): string;
export declare function getGradientStyle(color: string): {
    background: string;
    height: string;
    width: string;
    borderRadius: string;
};
export declare function getAttributeOpacity(attr: SpaceGraphCustomAttributeJson, value: string | number | boolean, valueRange: ValueRange, defaultOpacity: number): number;
export {};
